%global pypi_name  django-addons

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 10
Summary:        Addon framework to create pluggable Django addons
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/django-addons
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A Django app used to add true plug-n-play functionality to your own Django
applications and projects

Django-addons is a bunch of code that makes writing addon/plugins for your
Django project much easier. Add django-addons to your Django project and
you can drop all the addons to '<projectdir>/addons' directory.

%package -n python3-%{pypi_name}
Summary:        Addon framework to create pluggable Django addons
Group:          Development/Python

%description -n python3-%{pypi_name}
A Django app used to add true plug-n-play functionality to your own Django
applications and projects

Django-addons is a bunch of code that makes writing addon/plugins for your
Django project much easier. Add django-addons to your Django project and
you can drop all the addons to '<projectdir>/addons' directory.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files django_addons

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.1-10.mga10
+ Revision: 2240127
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.0.1-9.mga10
+ Revision: 2156922
- rebuild for python3.13

* Tue Dec 19 2023 wally <wally> 2.0.1-8.mga10
+ Revision: 2019827
- use pyproject rpm macros
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 2.0.1-7.mga9
+ Revision: 1833352
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.0.1-6.mga9
+ Revision: 1785402
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.0.1-5.mga9
+ Revision: 1732748
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-4.mga8
+ Revision: 1535225
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 2.0.1-3.mga8
+ Revision: 1451597
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 2.0.1-2.mga8
+ Revision: 1431029
- rely on generated deps
- drop django-notification recommends

* Wed Aug 21 2019 wally <wally> 2.0.1-1.mga8
+ Revision: 1430926
- new version 2.0.1
- switch to python3

* Wed Sep 19 2018 umeabot <umeabot> 0.6.6-9.mga7
+ Revision: 1274572
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.6.6-8.mga6
+ Revision: 947563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.6-7.mga5
+ Revision: 742301
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.6-6.mga5
+ Revision: 728253
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.6-5.mga5
+ Revision: 687967
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.6-3.mga4
+ Revision: 543050
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.6-2.mga4
+ Revision: 498361
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.6.6-1.mga4
+ Revision: 471999
- update to 0.6.6

* Sun Jan 13 2013 umeabot <umeabot> 0.6.4-3.mga3
+ Revision: 378663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 0.6.4-2.mga1
+ Revision: 55594
- rebuild to make all pythonegg requires/provides lowercase

* Thu Jan 27 2011 ahmad <ahmad> 0.6.4-1.mga1
+ Revision: 42323
- imported package python-django-addons


* Fri Nov 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 596461
- Update to 0.6.4
- Update Summary, Source, URL and Description tags
- Add requires on python-django-staticfiles
- Add suggests on python-django-notification

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1-1mdv2011.0
+ Revision: 591993
- add BR python-django
- import python-django-addons

